Metacat - Bug #4886

"DatabaseService is already registered” error after configuring Metacat
03/17/2010 01:33 PM - Jing Tao
Description

| installed Metacat from 1.9.2 branch and configured it successfully. Then | typed
the url on the browser:
http://chico1.dyndns.org/knb/metacat?action=read&qgformat=knb&docid=tao.14547

| got the error:

javax.servlet.ServletException: Service problem while intializing MetaCat Servlet: ServiceService.registerService - Service:
DatabaseService is already registered. Use ServiceService.reregister() to replace the service.
edu.ucsb.nceas.metacat.MetaCatServlet.initSecondHalf(MetaCatServlet.java:490)
edu.ucsb.nceas.metacat.MetaCatServlet.handleGetOrPost(MetaCatServlet.java:696)
edu.ucsb.nceas.metacat.MetaCatServlet.doGet(MetaCatServlet.java:519)
javax.servlet.http.HttpServlet.service(HttpServlet.java:690)

javax.servlet.http.HttpServlet.service(HttpServlet.java:803)

org.vfny.geoserver filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:122)

| had to restart tomcat and error was gone.

Paul Were sent an email to metacat-dev describing that he got the same error:

| installed metacat 192RC4 and configured it ok.

I am now attempting run the registry.

| get the Registry login page but whenever | try to log in it fails. | get the following error.

knb 20100316-11:49:55: [ERROR]: MetaCatServlet.initSecondHalf - Service problem while initializing MetaCat Servlet:
ServiceService.registerService - Service:

DatabaseService is already registered. Use ServiceService.reregister() to replace the service.
[edu.ucsb.nceas.metacat.MetaCatServlet]

| am able to login into the admin page with no error as
uid=pwere,o=unaffiliated,dc=ecoinformatics,dc=org

and that is the same login | am using for the registry.

Jing's comment: i guess the "registry" in Paul's email means metacat.

History

#1 - 11/09/2010 06:22 PM - Duane Costa

We are now seeing this same behavior at LTER upon upgrading to Metacat 1.9.3. Prior to the 1.9.3 upgrade, we had never had this error occur
before. As reported by Jing and Paul in the original bug report, the error mysteriously goes away with a restart of Tomcat/Metacat.

2010-11-09 18:54:57.732 Metacat: [ERROR] [edu.ucsb.nceas.metacat.MetaCatServlet]: MetaCatServlet.initSecondHalf - Service problem while
intializing MetaCat Servlet: ServiceService.registerService - Service: DatabaseService is already registered. Use ServiceService.reregister() to
replace the service.

edu.ucsb.nceas.metacat.shared.ServiceException: ServiceService.registerService - Service: DatabaseService is already registered. Use
ServiceService.reregister() to replace the service.

at edu.ucsb.nceas.metacat.service.ServiceService.registerService(ServiceService.java:91)

at edu.ucsb.nceas.metacat.MetaCatServlet.initSecondHalf(MetaCatServlet.java:375)

at edu.ucsb.nceas.metacat.MetaCatServlet.handleGetOrPost(MetaCatServlet.java:705)

at edu.ucsb.nceas.metacat.MetaCatServlet.doGet(MetaCatServlet.java:526)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.vfny.geoserver filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:122)
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:433)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:286)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:845)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
at org.apache.tomcat.util.net.JloEndpoint$Worker.run(JloEndpoint.java:447)

at java.lang.Thread.run(Thread.java:619)

#2 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4886

#3 - 04/03/2013 03:07 PM - ben leinfelder
- Assignee changed from Michael Daigle to ben leinfelder

- Target version changed from Unspecified to 2.1.0

We still get this from time to time. Sometimes it even takes a few restarts of tomcat to get it running again.

#4 - 04/03/2013 03:08 PM - ben leinfelder

- Subject changed from Couldn't read a document after configuring Metacat to "DatabaseService is already registered” error after configuring Metacat

#5 - 07/09/2013 02:20 PM - ben leinfelder
- Target version deleted (2.1.0)
